
{-----------------------------------------------------------------------------|
| TEE.PAS  -  send a copy of sys$input to specified file  |
|  |
| To be used with DCL Procedure PIPE.COM.                (Author: T.HALL)  |
|  |
|-----------------------------------------------------------------------------}

PROGRAM tee (input, output, second_output);

CONST string_length = 984; { Length chosen because of TPU }

TYPE  line_type = VARYING [string_length] OF char;

%INCLUDE 'parm.def'      { Allows to get next parameter with proc. NEXT_PARM }

VAR   line, parm : line_type;
      second_output : FILE OF line_type;

BEGIN {program tee}
   next_parm (parm);
   IF parm = '' THEN 
      writeln ('*** TEE: Missing Parameter: File for background output')
   ELSE
   BEGIN
      open (second_output, parm);
      rewrite (second_output);
      WHILE NOT eof DO
      BEGIN
         readln (line);
         second_output@ := line;
         put (second_output);
         writeln (line)
      END {while};
      close (second_output);
   END {if};
END. {program tee}
