
{-----------------------------------------------------------------------------|
| This program deletes all empty lines and lines containg only blanks and  |
| spaces from the Input Stream.  |
|  |
| To be used with DCL Procedure PIPE.COM.                (Author: T.HALL)  |
|  |
|-----------------------------------------------------------------------------}

PROGRAM no_empty (input, output);

CONST tab   = chr (9); { Tab stop character }
      blank = ' ';
      
VAR   line : VARYING [984] OF char;  { Length chosen because of TPU }
      i    : integer;
      ch   : char;
      to_be_erased : boolean;
      
BEGIN {program no_empty}
   open (input, carriage_control := list);
   WHILE NOT eof DO
   BEGIN
      readln (line);
      i := 0;
      to_be_erased := true;
      WHILE i < line.length DO
      BEGIN
         i := succ (i);
         ch := line [i];
         IF (ch <> blank) AND (ch <> tab) THEN
         BEGIN
            to_be_erased := false;
            i := line.length;
         END {if};
      END {while};
      IF NOT to_be_erased THEN writeln (line)
   END {while}
END. {program no_empty}
